part of example.basic_auth.server;

/// Collection of routes students can also access
@Api(path: '/book')
@WrapOne(#authorizer)
class StudentRoutes extends Object with JsonRoutes {
  JsonRepo get repo => jsonRepo;

  @Get()
  Response<String> getAllBooks(Context ctx) {
    return toJson(_books.values);
  }

  @Get(path: '/:id')
  Response<String> getBook(Context ctx) {
    String id = ctx.pathParams.get('id');
    Book book = _books[id];
    return toJson(book);
  }

  Authorizer authorizer(Context ctx) => new Authorizer(kModelManager);
}
