/// jaguar_auth provides four types of Authenticators out of the box:
/// 1. [BasicAuth]
/// BasicAuth performs authentication based on
/// [basic authentication](https://en.wikipedia.org/wiki/Basic_access_authentication).
/// It expects base64 encoded "username:password" pair in "authorization" header with
/// "Basic" scheme.
/// 2. [FormAuth]
/// UsernamePasswordAuth expects username and password as 'application/x-www-form-urlencoded'
/// 3. [JsonAuth]
/// UsernamePasswordJsonAuthexpects username and password as 'application/json'
library jaguar_auth.authenticators;

import 'dart:io';
import 'dart:async';
import 'dart:convert';
import 'package:jaguar/jaguar.dart';
import 'package:jaguar_auth/src/entity/entity.dart';
import 'package:auth_header/auth_header.dart';
import 'package:jaguar_session/jaguar_session.dart';

part 'basic.dart';
part 'user_password.dart';
part 'user_password_json.dart';
